<?php
$host = 'localhost';
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Empresa01\Datos\SAE70EMPRE01.FDB';
$username = 'SYSDBA';
$password = 'masterkey';

if (isset($_POST['id']) && isset($_POST['documento'])) {
    $cve_clie = $_POST['id'];
    $documento = $_POST['documento'];

    try {
        $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);

        $sqlDetalles = "  
        SELECT CONC01.DESCR, CUEN_DET01.REFER, CUEN_DET01.NO_FACTURA, CUEN_DET01.FECHA_APLI, CUEN_DET01.FECHA_VENC, CUEN_DET01.NUM_MONED,
               -CAST(CUEN_DET01.IMPORTE AS NUMERIC(18, 2)) AS IMPORTE
        FROM CUEN_DET01
        INNER JOIN CONC01 ON CUEN_DET01.NUM_CPTO = CONC01.NUM_CPTO
        WHERE CUEN_DET01.CVE_CLIE = ? AND CUEN_DET01.NO_FACTURA = ?
        ";

        $stmtDetalles = $dbh->prepare($sqlDetalles);
        $stmtDetalles->execute([$cve_clie, $documento]);

        // Generar tabla con los resultados
        $detalles = "<table class='table table-hover'>";
        $detalles .= "<thead class='thead-dark'><tr><th>Concepto</th><th>Documento</th><th>Fecha Aplicación</th><th>Fecha Vencimiento</th><th>Importe</th><th>Moneda</th></tr></thead><tbody>";

        while ($row = $stmtDetalles->fetch(PDO::FETCH_ASSOC)) {
            $detalles .= "<tr>";
            $detalles .= "<td>" . htmlspecialchars($row['DESCR'], ENT_QUOTES, 'UTF-8') . "</td>";
            $detalles .= "<td>" . htmlspecialchars($row['NO_FACTURA'], ENT_QUOTES, 'UTF-8') . "</td>";
            $detalles .= "<td>" . date('d/m/Y', strtotime($row['FECHA_APLI'])) . "</td>";
            $detalles .= "<td>" . date('d/m/Y', strtotime($row['FECHA_VENC'])) . "</td>";
            $detalles .= "<td>" . number_format($row['IMPORTE'], 2, '.', ',') . "</td>";
            $detalles .= "<td>" . htmlspecialchars($row['NUM_MONED'], ENT_QUOTES, 'UTF-8') . "</td>";
            $detalles .= "</tr>";
        }
        $detalles .= "</tbody></table>";

        echo json_encode(['detalles' => $detalles]);
    } catch (PDOException $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'ID del cliente o documento no especificado.']);
}
